#!/bin/sh

. install2-init-functions
. shell-config

check(){
	for n in $@; do
		subst 's/X-Alterator-Required=no/X-Alterator-Required=yes/' /var/lib/install3/groups/$n.directory 
		echo 'X-Alterator-Required=yes' >> /var/lib/install3/groups/$n.directory
	done
}

uncheck(){
	for n in $@; do
		subst 's/X-Alterator-Required=yes/X-Alterator-Required=no/' /var/lib/install3/groups/$n.directory ||:
	done
}

# Custom: all unchecked
if grep -q '/evms/profiles/none.*action apply' /tmp/wizard.log ; then
	subst 's/X-Alterator-Required=yes/X-Alterator-Required=no/' /var/lib/install3/groups/*.directory ||:
fi

# Server
if grep -q '/evms/profiles/server.*action apply' /tmp/wizard.log ; then
	uncheck centaurus-gnome centaurus-office
	check dhcp-server-a dns-server-a ftp-server-a mail-server-a mysql-server-a netinst
	check freenx-server http-server dns-server bacula-server kvm-server
fi
